import { BehaviorSubject } from 'rxjs';
import type { MergeVideoParams, VideoMergeCallbackForOnProgress, VideoMergeEvent } from './type';
export * from './type';
export declare function setDebugMode(debug: boolean): void;
export declare const eventSubscription: BehaviorSubject<VideoMergeEvent | undefined>;
export declare function multiply(a: number, b: number): Promise<number>;
/**
 * 清理缓存目录
 * @returns undefined
 */
export declare function cleanCacheDir(): Promise<any>;
/**
 * 开始合并视频
 * @param params MergeVideoParams
 * @returns
 */
export declare function mergeVideos(_params: MergeVideoParams, onProgress?: VideoMergeCallbackForOnProgress): Promise<VideoMergeEvent>;
